<template>
  <div class="app-container">
    <el-form :model="queryParams" ref="queryForm" size="small" :inline="true" label-width="98px">
      <el-form-item label="案件编号" prop="caseNum">
        <el-input v-model="queryParams.caseNum" placeholder="请输入案件编号" clearable @keyup.enter.native="handleQuery" />
      </el-form-item>
      <el-form-item label="申请人(机构)" prop="applicantName">
        <!-- <el-input
          v-model="queryParams.applicantName"
          placeholder="请输入机构名称"
          clearable
          @keyup.enter.native="handleQuery"
        /> -->
        <el-cascader v-model="queryParams.nameId" :options="options" @change="changeDept" :props="{ checkStrictly: true }"
          clearable></el-cascader>
      </el-form-item>
      <el-form-item label="案件状态" prop="caseStatus">
        <el-select :disabled="caseStatusType" v-model="queryParams.caseStatus" placeholder="请选择案件状态" clearable
          @keyup.enter.native="handleQuery">
          <el-option v-for="dict in caseStatus" :key="dict.dictSort" :label="dict.dictLabel"
            :value="dict.dictSort"></el-option>
        </el-select>
      </el-form-item>
      <el-form-item label="是否完成" prop="selectCaseStatus">
        <el-select v-model="queryParams.selectCaseStatus" placeholder="请选择状态" clearable @keyup.enter.native="handleQuery">
          <el-option v-for="dict in selectCaseStatusList" :key="dict.value" :label="dict.label"
            :value="dict.value"></el-option>
        </el-select>
      </el-form-item>
      <!-- <el-form-item label="开庭日期" prop="hearDate">
        <el-date-picker
          v-model="queryParams.hearDate"
          type="daterange"
          range-separator="至"
          start-placeholder="开始日期"
          end-placeholder="结束日期"
        >
        </el-date-picker>
      </el-form-item> -->
      <el-form-item>
        <el-button type="primary" icon="el-icon-search" size="mini" @click="handleQuery">搜索</el-button>
        <el-button icon="el-icon-refresh" size="mini" @click="resetQuery">重置</el-button>
      </el-form-item>
    </el-form>
    <el-row :gutter="10" class="mb8">
      <el-col :span="1.5">
        <el-button type="primary" plain icon="el-icon-plus" size="mini" @click="filingApplication"
          v-hasPermi="['caseManagement:list:add']">案件录入</el-button>
        <el-button type="primary" plain icon="el-icon-plus" size="mini" @click="compressedPackages"
          >案件压缩包导入</el-button>
        <el-button type="primary" plain icon="el-icon-plus" size="mini" @click="batchApplication"
          v-hasPermi="['caseManagement:list:import']">案件批量导入</el-button>
        <el-button type="primary" plain icon="el-icon-plus" size="mini" @click="operateClick(0)"
          v-hasPermi="['caseManagement:list:Batchsubmit']">案件批量提交</el-button>
        <el-button type="primary" plain icon="el-icon-plus" size="mini" @click="operateClick(1)"
          v-hasPermi="['caseManagement:list:delete']">案件批量删除</el-button>
        <el-button type="primary" plain icon="el-icon-plus" size="mini" @click="operateClick(2)"
          v-hasPermi="['caseManagement:list:check']">案件批量立案审查</el-button>
        <el-button type="primary" plain icon="el-icon-plus" size="mini" @click="operateClick(4)"
          v-hasPermi="['caseManagement:list:Batchgeneration']">批量生成裁决书</el-button>
        <el-button type="primary" plain icon="el-icon-plus" size="mini" @click="operateClick(6)"
          v-hasPermi="['caseManagement:list:pay']">批量缴费</el-button>
      </el-col>
    </el-row>
    <el-table v-loading="loading" :data="dataList" style="width: 100%" :row-class-name="tableRowClassName" class="pendingTrial">
      <el-table-column type="selection">
      </el-table-column>
      <el-table-column label="序号" type="index" align="center">
        <template slot-scope="scope">
          <span>{{
            (queryParams.pageNum - 1) * queryParams.pageSize + scope.$index + 1
          }}</span>
        </template>
      </el-table-column>
      <el-table-column label="案件编号" align="center" prop="caseNum" :show-overflow-tooltip="true" />
      <el-table-column label="申请人(机构)" align="center" prop="applicantName" :show-overflow-tooltip="true" />
      <el-table-column label="案件标的" align="center" prop="caseSubjectAmount" />
      <el-table-column label="仲裁方式" align="center" prop="arbitratMethodName" :show-overflow-tooltip="true" />
      <!-- 仲裁员 -->
      <el-table-column label="仲裁员" align="center" prop="arbitratorName" />
      <!-- 开庭日期 -->
      <el-table-column label="开庭日期" align="center" prop="hearDate" :show-overflow-tooltip="true" />
      <el-table-column label="案件状态" align="center" prop="caseStatusName">
        <template slot-scope="scope">
          <el-tag type="success">{{ scope.row.caseStatusName }}</el-tag>
        </template>
      </el-table-column>
      <el-table-column label="操作" align="center" class-name="small-padding fixed-width">
        <template slot-scope="scope">
          <el-button size="mini" type="text" icon="el-icon-zoom-in" @click="detailRow(scope.row)">详情</el-button>
          <el-button size="mini" type="text" icon="el-icon-zoom-in" @click="viewProcess(scope.row)">查看流程</el-button>
          <!-- 案件日志 -->
          <el-button size="mini" type="text" icon="el-icon-notebook-2" @click="caselogRow(scope.row)">案件日志</el-button>
          <el-button size="mini" type="text" icon="el-icon-edit" @click="editRow(scope.row)" v-if="(scope.row.caseStatus < 10 && scope.row.caseStatus != 2 && scope.row.updateSubmitStatus !== 1) &&
            checkPermi(['caseManagement:list:update']) && btnStatus
            ">修改</el-button>
          <!-- 撤销修改 -->
          <el-button size="mini" type="text" icon="el-icon-edit" @click="undoRow(scope.row,1)" v-if="(scope.row.updateSubmitStatus == 1 || scope.row.updateSubmitStatus == 3) && scope.row.caseStatus > 0 && checkPermi(['caseManagement:list:undo'])">撤销修改</el-button>
          <el-button size="mini" type="text" icon="el-icon-check" @click="onsubmitRow(scope.row)" v-if="scope.row.caseStatus == 0 &&
            checkPermi(['caseManagement:list:submit']) && btnStatus
            ">提交</el-button>
          <el-button size="mini" type="text" icon="el-icon-delete" @click="deleteRow(scope.row)" v-if="scope.row.caseStatus == 0 &&
            checkPermi(['caseManagement:list:delete']) && btnStatus
            ">删除</el-button>
          <el-button size="mini" type="text" icon="el-icon-view" @click="filingreviewRow(scope.row)" v-if="scope.row.caseStatus == 1 &&
            checkPermi(['caseManagement:list:check']) && btnStatus
            ">立案审查</el-button>
          <!-- <el-button size="mini" type="text" icon="el-icon-tickets" @click="payStatus(scope.row)"
            v-if="scope.row.caseStatus == 2" v-hasPermi="['caseManagement:list:pay']">缴费</el-button> -->
          <el-button size="mini" type="text" icon="el-icon-tickets" @click="payStatus(scope.row)" v-if="scope.row.caseStatus == 2 &&
            checkPermi(['caseManagement:list:pay']) && btnStatus
            ">缴费</el-button>

          <!-- <el-button
            size="mini"
            type="text"
            icon="el-icon-data-analysis"
            @click="formationcourtRow(scope.row)"
            v-hasPermi="['monitor:online:forceLogout']"
            >组庭</el-button
          > -->
          <!-- 审核修改，秘书角色 -->
          <el-button size="mini" type="text" icon="el-icon-s-check" @click="reviewCase(scope.row)" v-if="scope.row.updateSubmitStatus == 1 && checkPermi(['caseManagement:list:reviewCase'])">审核修改</el-button>
          <!-- 审核撤销，秘书角色 -->
          <el-button size="mini" type="text" icon="el-icon-s-check" @click="reviewRevocation(scope.row)" v-if="scope.row.updateSubmitStatus == 2 && checkPermi(['caseManagement:list:reviewRevocation'])">审核撤销</el-button>
          <el-button size="mini" type="text" icon="el-icon-s-check" @click="courtconfirmationRow(scope.row)" v-if="scope.row.caseStatus == 6 &&
            checkPermi(['caseManagement:list:confirmgroup']) && btnStatus
            ">组庭确认</el-button>
          <el-button size="mini" type="text" icon="el-icon-check" @click="courtreviewRow(scope.row)" v-if="scope.row.caseStatus == 5 &&
            checkPermi(['caseManagement:list:checkgroup']) && btnStatus
            ">组庭审核</el-button>
          <el-button size="mini" type="text" icon="el-icon-sort" @click="choosetrialmethodRow(scope.row)" v-if="scope.row.caseStatus == 7 &&
            checkPermi(['caseManagement:list:checkarbitrationway']) && btnStatus
            ">审核仲裁方式</el-button>
          <el-button size="mini" type="text" icon="el-icon-edit-outline" @click="adjudicaterecordRow(scope.row)" v-if="scope.row.caseStatus == 9 &&
            scope.row.arbitratMethod == 2 &&
            checkPermi(['caseManagement:list:hear']) && btnStatus
            ">书面审理</el-button>
          <!-- v-hasPermi="['caseManagement:list:hear']" -->
          <el-button size="mini" type="text" icon="el-icon-service" @click="trialcourtRow(scope.row)" v-if="scope.row.caseStatus == 8 &&
            scope.row.arbitratMethod == 1 &&
            checkPermi(['caseManagement:list:hear']) && btnStatus
            ">开庭审理</el-button>
          <!-- <el-button size="mini" type="text" icon="el-icon-edit" v-if="scope.row.caseStatus < 8 &&
            checkPermi(['caseManagement:list:evidenceUpdate']) && btnStatus"
            @click="evidenceUpload(scope.row)">证据修改</el-button> -->
          <el-button size="mini" type="text" icon="el-icon-edit" v-if="(scope.row.caseStatus < 10 && scope.row.caseStatus != 2 && scope.row.caseStatus != 0) &&
            checkPermi(['caseManagement:list:evidenceUpdate']) && btnStatus"
            @click="evidenceUpload(scope.row)">证据修改</el-button>
          <el-button size="mini" type="text" icon="el-icon-edit" v-if="scope.row.caseStatus == 31 && btnStatus"
            @click="timeUpdata(scope.row)">开庭时间</el-button>
          <el-button size="mini" type="text" icon="el-icon-lock"
            v-if="checkPermi(['caseManagement:list:lock']) && scope.row.lockStatus == 0 && btnStatus"
            @click="lockClick(scope.row)">锁定</el-button>
          <el-button size="mini" type="text" icon="el-icon-unlock"
            v-if="checkPermi(['caseManagement:list:lock']) && scope.row.lockStatus == 1 && btnStatus"
            @click="ulockClick(scope.row)">解锁</el-button>
            <!-- 暂时隐藏后期可能会放其他地方 -->
          <!-- <el-button v-if="checkPermi(['caseManagement:list:listEvidence']) && scope.row.caseStatus <= 1 && btnStatus"
            size="mini" type="text" icon="el-icon-upload" @click="uploadCase(scope.row)">上传证据目录</el-button> -->
          <!-- <el-button
            size="mini"
            type="text"
            icon="el-icon-document"
            @click="generateawardRow(scope.row)"
            v-if="
              scope.row.caseStatus == 10 &&
              checkPermi(['caseManagement:list:createaward'])
            "
            >生成裁决书</el-button
          > -->
        </template>
      </el-table-column>
    </el-table>
    <pagination v-show="total > 0" :total="total" :page.sync="queryParams.pageNum" :limit.sync="queryParams.pageSize"
      @pagination="getcaseApply(queryParams)" />

    <!-- 立案申请弹框 -->
    <caseentryDialog :visible="visible" @cancel="cancel" :form="form" :queryParams="queryParams"
      :dialogtitle="dialogtitle" :getcaseApply="getcaseApply" :flag="flag" :caseAttachList="caseAttachList"
      :initpaymentArr="initpaymentArr" :initpaymentArr1="initpaymentArr1"></caseentryDialog>
    <!-- 批量申请弹框 openbatch-->
    <batchDialog :openbatch="openbatch" :queryParams="queryParams" @cancelBatch="cancelBatch"
      :getcaseApply="getcaseApply"></batchDialog>
    <!-- 立案审查页面 -->
    <filingreviewDialog :showfilingreview="showfilingreview" :filingreviewdata="filingreviewdata"
      :queryParams="queryParams" @getcaseApply="getcaseApply" @cancelFilingreview="cancelFilingreview">
    </filingreviewDialog>
    <!-- 组庭页面---改为组庭审核 -->
    <formateCourtDialog :showformateCourt="showformateCourt" @cancelcourtDialog="cancelcourtDialog"
      :queryParams="queryParams" :formateCourtData="formateCourtData" @getcaseApply="getcaseApply"></formateCourtDialog>
    <!-- 组庭审核--改组庭确认 -->
    <courtReviewDialog :showcourtReview="showcourtReview" :form="form" :queryParams="queryParams"
      @cancelcourtReview="cancelcourtReview" @getcaseApply="getcaseApply"></courtReviewDialog>
    <!-- 审核仲裁方式 -->
    <choosetrialmethodDaiog :showchoosetrialmethod="showchoosetrialmethod" :choosetrialmethodata="choosetrialmethodata"
      :queryParams="queryParams" @getcaseApply="getcaseApply" @cancelshowchoosetrialMethod="cancelshowchoosetrialMethod">
    </choosetrialmethodDaiog>
    <!-- 书面审理 -->
    <adjudicaterecordDialog :showadjudicaterecord="showadjudicaterecord" :form="form" :adjudicatename="adjudicatename"
      :queryParams="queryParams" @canceladjudicaterecord="canceladjudicaterecord" @getcaseApply="getcaseApply">
    </adjudicaterecordDialog>
    <!-- 开庭审理 -->
    <trialincourtDialog :showtrialincourt="showtrialincourt" :adjudicatename="adjudicatename" :form="form"
      :queryParams="queryParams" @getcaseApply="getcaseApply" @canceltrialincourt="canceltrialincourt">
    </trialincourtDialog>
    <!-- 缴费 -->
    <payDialog :openPay="openPay" :payTitle="payTitle" :form="form" :payForm="payForm" :queryParams="queryParams"
      @getcaseApply="getcaseApply" @paycancelRow="paycancelRow" :payId="payId"></payDialog>
    <!-- 案件日志 -->
    <caselogDialog :showcaseLog="showcaseLog" @cancelcaseLog="cancelcaseLog" :flagLoading="flagLoading"
      :caselogDataArr="caselogDataArr"></caselogDialog>
    <!-- 案件流程   -->
    <viewprocessDialog :processVisable="processVisable" @cancelViewProcess="cancelViewProcess" :processData="processData">
    </viewprocessDialog>
    <!-- 证据修改 -->
    <evidenceDialog :evidenceVisable="evidenceVisable" @cancelEvidence="cancelEvidence" :evidenceData="evidenceData">
    </evidenceDialog>

    <!-- 开庭时间修改 -->
    <timeDialog :timeVisable="timeVisable" @getcaseApply="getcaseApply" @cancelTime="cancelTime" :timeData="timeData"
      :queryParams="queryParams">
    </timeDialog>
    <!-- 批量操作弹窗 -->
    <operateDialog :queryParams="queryParams" :operateStatus="operateStatus" :operateVisable="operateVisable"
      @getcaseApply="getcaseApply" :operateTitle="operateTitle" @cancelOperate="cancelOperate" :operateData="operateData">
    </operateDialog>
    <!-- 上传证据目录弹窗 -->
    <uploadCaseDialog :uploadCaseVisable="uploadCaseVisable" @uploadCaseCancel="uploadCaseCancel"
      :uploadCaseData="uploadCaseData">
    </uploadCaseDialog>
    <!-- 秘书审核修改页面 -->
    <caseentryExamineDialog :dialogtitle="dialogtitle" :caseentryExamineVisible="caseentryExamineVisible" :queryParams="queryParams"
    :getcaseApply="getcaseApply"
    @caseentryExamineCancel="caseentryExamineCancel" :caseentryExamineData="caseentryExamineData" :caseentryExamineDataAll="caseentryExamineDataAll"></caseentryExamineDialog>
    <caseCompressionPackage :openCompressedPackages="openCompressedPackages" :queryParams="queryParams" @cancelCompreess="cancelCompreess"
      :getcaseApply="getcaseApply">
    </caseCompressionPackage>
    
  </div>
</template>

<script>
import caseentryDialog from "./components/caseentryDialog";
import batchDialog from "./components/batchDialog";
import formateCourtDialog from "./components/formateCourtDialog.vue";
import courtReviewDialog from "./components/courtReviewDialog.vue";
import choosetrialmethodDaiog from "./components/choosetrialmethodDaiog.vue";
import adjudicaterecordDialog from "./components/adjudicaterecordDialog.vue";
import trialincourtDialog from "./components/trialincourtDialog.vue";
import payDialog from "./components/payDialog.vue";
import filingreviewDialog from "./components/filingreviewDialog.vue";
import caselogDialog from "./components/caselogDialog.vue";
import viewprocessDialog from "./components/viewprocessDialog.vue";
import evidenceDialog from './components/evidenceDialog.vue';
import timeDialog from './components/timeDialog.vue';
import operateDialog from './components/operateDialog.vue';
import uploadCaseDialog from './components/uploadCaseDialog.vue';
import caseCompressionPackage from './components/caseCompressionPackage.vue'
// 秘书审核页面
import caseentryExamineDialog from './components/caseentryExamine.vue';
import { caseApplicationDetail } from "@/api/pay/pay";
import {
  caseApply,
  removeCaseApply,
  submitCaseApply,
  selectCaseApply,
  updateCaseLockStatus
} from "@/api/caseAccess/caseEntry";
import { listDept } from "@/api/system/dept";
import {
  document,
  caseLogRecordList,
  revoke,
  selectCompareCase,
  updateAudit
} from "@/api/caseManagement/caseManagement";
import { getDicts } from '@/api/system/dict/data.js';
export default {
  name: "caseList",
  // dicts: ["case_status"],
  components: {
    caseentryDialog,
    batchDialog,
    formateCourtDialog,
    courtReviewDialog,
    choosetrialmethodDaiog,
    adjudicaterecordDialog,
    trialincourtDialog,
    payDialog,
    filingreviewDialog,
    caselogDialog,
    viewprocessDialog,
    evidenceDialog,
    timeDialog,
    operateDialog,
    uploadCaseDialog,
    caseentryExamineDialog,
    caseCompressionPackage
  },
  data() {
    return {
      // 遮罩层
      loading: true,
      // 总条数
      total: 0,
      isapply: "申请人：",
      // 表格数据
      dataList: [],
      // 查询参数
      queryParams: {
        caseNum: undefined,
        // caseStatusList: [0, 1, 2, 5, 6, 7, 8, 9, 10, 16],
        caseStatusList: [0, 1, 2, 5, 6, 7, 8, 9, 10, 31],
        // hearDate: "",
        caseStatus: null,
        applicantName: "",
        nameId: "",
        pageNum: 1,
        pageSize: 10,
      },
      dialogtitle: "", //弹框标题
      visible: false, //申请弹框控制
      form: {},
      starttime: "", //开始时间
      endtime: "", //结束时间
      formData: {},
      flag: "-1",
      initpaymentArr: [],
      initpaymentArr1: [],
      showfilingreview: false, //立案申查弹框控制
      filingreviewdata: {}, //立案审查传输数据
      openbatch: false, // 批量申请弹框
      openCompressedPackages:false,//案件压缩包导入
      formateCourtData: {}, //组庭
      showformateCourt: false, //组庭界面显示
      showcourtReview: false, //组庭审核页面
      showchoosetrialmethod: false, //选择仲裁方式页面
      choosetrialmethodata: {},
      showadjudicaterecord: false, //书面审理弹框
      adjudicatename: {}, //书面仲裁（被）申请人姓名
      showtrialincourt: false, //开庭审理
      openPay: false, //缴费弹框
      processVisable: false,//案件流程弹窗
      evidenceVisable: false,//修改证据弹窗
      evidenceData: {},
      payTitle: "",
      payForm: {},
      caseAttachList: [], //案件质证资料
      showcaseLog: false, //案件日志弹框显示
      flagLoading: true, //案件日志弹框loading
      caselogDataArr: [],
      options: [], //机构数据
      payId: null,
      caseStatus: [],
      processData: {},
      timeVisable: false,
      timeData: {},
      operateVisable: false,
      operateData: {},
      operateTitle: "",
      operateStatus: 0,
      uploadCaseVisable: false,
      caseentryExamineVisible: false,
      caseentryExamineData: {},
      caseentryExamineDataAll: {},
      uploadCaseData: {},
      selectCaseStatusList: [
        {
          label: "待办案件",
          value: 0
        },
        {
          label: "已办案件",
          value: 1
        }
      ],
      caseStatusType: false,
      btnStatus: true,
    };
  },
  created() {
    getDicts("case_status").then(res => {
      this.caseStatus = res.data;
      let params = this.$route.params.status;
      if (params >= 0) {
        this.queryParams.caseStatus = params;
      }
      this.getcaseApply(this.queryParams);
    })
    // this.getcaseApply(this.queryParams);
    this.getInstitution();
  },
  methods: {
    cancel() {
      this.visible = false;
    },
    cancelBatch() {
      this.openbatch = false;
      
    },
    cancelCompreess(){
      this.openCompressedPackages = false;
    },
    cancelTime() {
      this.timeVisable = false;
    },
    cancelOperate() {
      this.operateVisable = false;
    },
    uploadCaseCancel() {
      this.uploadCaseVisable = false;
    },
    // 上传证据目录弹窗
    uploadCase(row) {
      this.uploadCaseData = row;
      this.uploadCaseVisable = true;
    },
    // 批量操作弹窗
    operateClick(type) {
      this.operateVisable = true;
      if (type == 0) {
        this.operateTitle = '批量提交';
        this.operateStatus = 0;
      } else if (type == 1) {
        this.operateTitle = '批量删除';
        this.operateStatus = 1;
      } else if (type == 2) {
        this.operateTitle = '批量立案审查';
        this.operateStatus = 2;
      } else if (type == 4) {
        this.operateTitle = '批量生成裁决书';
        this.operateStatus = 4;
      } else if(type == 6){
        this.operateTitle = '批量缴费';
        this.operateStatus = 6;
      }
    },
    // 修改开庭时间
    timeUpdata(row) {
      this.timeData = row;
      this.timeVisable = true;
    },

    // 锁定案件
    lockClick(row) {
      this.$modal
        .confirm("是否锁定案件")
        .then(function () {
          return updateCaseLockStatus({ id: row.id, lockStatus: 1 });
        })
        .then((res) => {
          this.getcaseApply(this.queryParams);
          this.$modal.msgSuccess("锁定成功");
        })
        .catch(() => { });
    },
    // 解锁案件
    ulockClick(row) {
      this.$modal
        .confirm("是否解锁案件")
        .then(function () {
          return updateCaseLockStatus({ id: row.id, lockStatus: 0 });
        })
        .then((res) => {
          this.getcaseApply(this.queryParams);
          this.$modal.msgSuccess("解锁成功");
        })
        .catch(() => { });
    },
    // 修改证据
    evidenceUpload(row) {
      this.evidenceData = row;
      this.evidenceVisable = true;
    },
    // 取消弹窗（证据弹窗）
    cancelEvidence() {
      this.evidenceVisable = false;
    },
    // 查看流程
    viewProcess(row) {
      this.processVisable = true;
      this.processData = row;
    },
    // 机构发生变化
    changeDept(data) {
      this.queryParams.nameId = data[0];
    },
    // 获取机构数据
    getInstitution() {
      listDept().then((res) => {
        res.data.forEach((item) => {
          item.value = item.deptId;
          item.label = item.deptName;
        });
        this.options = this.handleTree(res.data, "deptId");
      });
    },
    /** 查询列表 */
    getcaseApply(val) {
      this.loading = true;
      caseApply(val).then((response) => {
        this.dataList = response.rows;
        this.total = response.total;
        this.loading = false;
      });
    },
    /** 搜索按钮操作 */
    handleQuery() {
      this.queryParams.caseStatusList = [];
      if (!this.queryParams.caseStatus) {
        this.queryParams.caseStatusList = [0, 1, 2, 5, 6, 7, 8, 9, 10, 31]
      }
      if (this.queryParams.selectCaseStatus == 1) {
        this.queryParams.caseStatus = null;
        this.caseStatusType = true;
        this.btnStatus = false;
      } else if (this.queryParams.selectCaseStatus == 0) {
        this.caseStatusType = false;
        this.btnStatus = true;
      }
      this.queryParams.pageNum = 1;
      this.getcaseApply(this.queryParams);
    },
    /** 重置按钮操作 */
    resetQuery() {
      this.resetForm("queryForm");
      (this.queryParams.caseStatusList = [0, 1, 2, 5, 6, 7, 8, 9, 10, 31]),
        (this.queryParams.applicantName = ""),
        (this.queryParams.nameId = ""),
        this.getcaseApply(this.queryParams);
    },
    // 案件录入
    filingApplication() {
      this.form = {};
      this.initpaymentArr = [
        {
          identityType: 1,
          name: "",
          identityNum: "",
          contactTelphone: "",
          workAddress: "",
          workTelphone: "",
          contactAddress: "",
          nameAgent: "",
          contactTelphoneAgent: "",
          contactAddressAgent: "",
        },
      ];
      this.initpaymentArr1 = [
        {
          identityType: 2,
          name: "",
          identityNum: "",
          contactTelphone: "",
          workAddress: "",
          workTelphone: "",
          contactAddress: "",
          nameAgent: "",
          contactTelphoneAgent: "",
          contactAddressAgent: "",
        },
      ];

      this.visible = true;
      this.dialogtitle = "立案申请";
      this.flag = "2";
    },
    // 批量批量录入
    batchApplication() {
      this.openbatch = true;
    },
    //案件导入压缩包
    compressedPackages(){
      this.openCompressedPackages = true;
    },
    // 详情
    detailRow(row) {
      this.flag = "0";
      this.form = row;
      this.visible = true;
      this.dialogtitle = "立案详情";
      this.getInfo(row);
    },
    // 案件日志
    caselogRow(row) {
      this.showcaseLog = true;
      this.caseLogRecordListFn(row);
    },
    // 查询案件日志信息
    caseLogRecordListFn(val) {
      this.flagLoading = true;
      let params = {
        caseAppliId: val.id,
      };
      caseLogRecordList(params).then((res) => {
        this.caselogDataArr = res.data;
        this.flagLoading = false;
      });
    },
    // 关闭案件日志
    cancelcaseLog() {
      this.showcaseLog = false;
    },
    //关闭案件流程
    cancelViewProcess() {
      this.processVisable = false;
    },
    // 修改
    editRow(row) {
      this.flag = "1";
      this.form = row;
      this.visible = true;
      this.dialogtitle = "立案修改";
      this.getInfo(row);
    },
    // 列表提交立案
    onsubmitRow(row) {
      this.$modal
        .confirm("是否提交立案申请？")
        .then(function () {
          // return submitCaseApply({ id: row.id });
          return submitCaseApply({ ids: [row.id] });
        })
        .then(() => {
          this.getcaseApply(this.queryParams);
          this.$modal.msgSuccess("立案申请成功");
        })
        .catch(() => { });
    },
    // 立案审查
    filingreviewRow(row) {
      console.log(row, "立案审查");
      this.showfilingreview = true;
      this.filingreviewdata = row;
    },
    cancelFilingreview() {
      this.showfilingreview = false;
    },
    // 取消缴费
    paycancelRow(row) {
      this.openPay = false;
    },
    // 是否进行缴费
    payStatus(val) {
      this.getDetail({ id: val.id, version: val.version });
      this.payTitle = "缴费";
      this.openPay = true;
      this.payId = val.id;
    },
    getDetail(parms) {
      caseApplicationDetail(parms).then((res) => {
        if (res.data.caseStatus == 1) {
          res.data.caseStatusName = "待缴费";
        }
        this.form = res.data;
        this.payForm.feePayable = res.data.feePayable;
        this.payForm.caseId = res.data.id;
      });
    },

    // 组庭
    // formationcourtRow(row) {
    //   console.log(row, "组庭");
    //   this.formateCourtData = row;
    //   this.showformateCourt = true;
    // },
    // 关闭组庭页面
    cancelcourtDialog() {
      this.showformateCourt = false;
    },
    // 审核案件 selectCompareCase caseentryExamineData
    reviewCase(row) {
      this.caseentryExamineVisible = true;
      this.dialogtitle = "审核修改详情";
      this.getSelectCompareCase(row)
    },
    // 秘书审核修改页面 caseentryExamineVisible
    caseentryExamineCancel() {
      this.caseentryExamineVisible = false;
    },
    // 查询修改字段
    getSelectCompareCase(val) {
      let param = {
        caseId:val.id,
        version:val.version
      }
      selectCompareCase(param).then((res) => {
        this.caseentryExamineData = res.data.afterCase
        this.caseentryExamineDataAll = res.data
      })
    },
    // 审核撤销
    reviewRevocation(row) {
      this.caseentryExamineVisible = true;
      this.dialogtitle = "审核撤销";
      this.getSelectCompareCase(row)
    },
    // 组庭确认
    courtconfirmationRow(row) {
      // console.log(row, "组庭确认");
      this.showcourtReview = true;
      this.form = row;
    },
    // 组庭审核
    courtreviewRow(row) {
      // console.log(row, "组庭审核");
      this.formateCourtData = row;
      this.showformateCourt = true;
    },
    cancelcourtReview() {
      this.showcourtReview = false;
    },
    // 选择开庭方式改为审核仲裁方式
    choosetrialmethodRow(row) {
      // console.log(row, "审核仲裁方式");
      this.choosetrialmethodata = row;
      this.showchoosetrialmethod = true;
    },
    // 关闭审核仲裁方式
    cancelshowchoosetrialMethod() {
      this.showchoosetrialmethod = false;
    },
    // 书面审理
    adjudicaterecordRow(row) {
      // console.log(row, "书面审理");
      this.showadjudicaterecord = true;
      this.form = row;
      this.getInfo(row);
    },
    canceladjudicaterecord() {
      this.showadjudicaterecord = false;
    },
    //  开庭审理
    trialcourtRow(row) {
      console.log(row, "开庭审理");
      this.showtrialincourt = true;
      this.form = row;
      this.getInfo(row);
    },
    canceltrialincourt() {
      this.showtrialincourt = false;
    },
    //  生成裁决书 2023.10.15裁决书生成为自动，已合并如庭审提交
    // generateawardRow(row) {
    //   console.log(row, "生成裁决书");
    //   this.$modal
    //     .confirm("确定生成裁决书吗？")
    //     .then(function () {
    //       return document({ id: row.id });
    //     })
    //     .then((res) => {
    //       if (res.code == 200) {
    //         this.getcaseApply(this.queryParams);
    //         this.$modal.msgSuccess("裁决书生成成功");
    //       }
    //     })
    //     .catch(() => {});
    // },
    // 归档
    fileRow(row) {
      console.log(row, "归档");
    },
    // 查找主体信息数据
    getInfo(row) {
      let params = {
        id: row.id,
        version: row.version
      }
      selectCaseApply(params).then((res) => {
        // this.visible = true;
        // this.formData = res.data;
        this.form.caseName = res.data.caseName;
        this.adjudicatename = {
          applicantName: res.data.applicantName,
          respondentName: res.data.respondentName,
          feePayable: res.data.feePayable,
          hearDate: res.data.hearDate,
          arbitratorName: res.data.arbitratorName,
          caseAttachList: res.data.caseAttachList,
        };
        this.initpaymentArr = [];
        this.initpaymentArr1 = [];
        res.data.caseAffiliates.forEach((item) => {
          if (item.identityType == 1) {
            this.initpaymentArr.push(item);
          } else {
            this.initpaymentArr1.push(item);
          }
        });
        this.caseAttachList = res.data.caseAttachList;
        this.form.requestRule = res.data.requestRule;
        this.form.properPreser = res.data.properPreser;
      });
    },
    // 删除
    deleteRow(row) {
      // const id = row.id;
      this.$modal
        .confirm("是否确认删除？")
        .then(function () {
          // return removeCaseApply({ id: row.id });
          return removeCaseApply({ ids: [row.id] });
        })
        .then((res) => {
          this.getcaseApply(this.queryParams);
          this.$modal.msgSuccess("删除成功");
        })
        .catch(() => { });
    },
    // 申请人撤销修改 revoke
    undoRow(row) {
      if (row.updateSubmitStatus == 1) {
        this.$modal.confirm("是否确认撤销修改？").then(function () {
          return revoke({ caseId: row.id, version: row.version });
        }).then((res) => {
          if (res.code == 200) {
            this.getcaseApply(this.queryParams);
            this.$modal.msgSuccess("撤销成功");
          }      
        })
        .catch(() => { });
      } else if (row.updateSubmitStatus == 3) {
        this.$modal.confirm("是否确认撤销已审核的修改？").then(function () {
          return revoke({ caseId: row.id, version: row.version });
        }).then((res) => {
          if (res.code == 200) {
            this.getcaseApply(this.queryParams);
            this.$modal.msgSuccess("撤销申请已提交，等待审核");
          }
        })
        .catch(() => { });
      }
      
    },
    // 表格显示高亮
    tableRowClassName(row){
      if(row.row.caseStatus==8){
        return 'pendingTrial'
      }
      
    }
  },
};
</script>

<style>
/* // #formContainer {} */
.el-table .pendingTrial {
    background:oldlace;
  }
</style>
